Skip to content

Quramy/typescript-eslint-language-service

master
Switch branches/tags
Code

typescript-eslint-language-service

github actions npm version deps GitHub license

TypeScript language service plugin to check ESLint errors.

Screencast

Features

  • Report ESLint errors as TypeScript semantic diagnostics
  • Create code-fix for ESLint errors if they have fixer

Usage

Requirements (peer dependencies)

  • typescript
  • @typescript-eslint/parser >= 5.0.0
  • eslint >= 8.0.0

Install

npm install typescript-eslint-language-service -D

Configure

And configure plugins section in your tsconfig.json, for example:

{
  "compilerOptions": {
    "module": "commonjs",
    "target": "es5",
    "plugins": [
      {
        "name": "typescript-eslint-language-service"
      }
    ]
  }
}

It's ready to go. Launch your TypeScript IDE.

Plugin options

type PluginOptions = {
  name: "typescript-eslint-language-service";
  watchDirs?: string[];
};

watchDirs

By default, this plugins watches only .eslintrc.* files that exist in your project root directory. If you want to watch other directories, add their names.

Tips

  • Set TS_ESLINT_SERVICE_DISABLED env parameter and restart your IDE to turn this plugin off.

If you use older version of ESLint packages

  • If your eslint version is < 8.0.0, install typescript-eslint-language-service@4.x.x.

If you use older version of @typescript-eslint packages

  • If your @typescript-eslint tool's version is < 4.0.0, install typescript-eslint-language-service@3.1.x.
  • If your @typescript-eslint tool's version is <= 3.4.0, install typescript-eslint-language-service@3.0.x.
  • If your @typescript-eslint tool's version is <= 2.x.x, install typescript-eslint-language-service@2.x.x.

LICENSE

MIT